Skip to main content
GET
/
api
/
agent
/
assessment-configs
List assessment configs
curl --request GET \
  --url https://app.auditynow.com/api/agent/assessment-configs \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "configs": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "isTemplate": true,
        "questionOrder": [
          "<string>"
        ],
        "questionCount": 123,
        "createdAt": "2023-11-07T05:31:56Z",
        "updatedAt": "2023-11-07T05:31:56Z",
        "name": "<string>",
        "hiddenQuestions": [
          "<string>"
        ],
        "scoringWeights": {},
        "defaultQuestionOverrides": {}
      }
    ],
    "pagination": {
      "total": 123,
      "limit": 123,
      "offset": 123
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.auditynow.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

A Personal Access Token issued from https://app.auditynow.com/dashboard/settings/api-tokens. Format: aky_<32 random chars>.

Query Parameters

limit
integer
default:50
Required range: 1 <= x <= 100
offset
integer
default:0
Required range: x >= 0
isTemplate
boolean

Response

Assessment configs list

data
object
required